# Class GenotypeStats

java.lang.Object
org.snpeff.stats.GenotypeStats

All Implemented Interfaces:
  `SamplingStats<VcfEntry>`

public class GenotypeStats extends Object implements SamplingStats<VcfEntry>
Calculate statistics on genotype

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`GenotypeStats()`

## Method Summary

Modifier and Type
Method
Description
`IntStats`
`getAlleleCount()`
`String`
`getAlleleCountHistoUrl()`
`IntStats`
`getAlleleFrequency()`
`String`
`getAlleleFrequencyHistoUrl()`
`String`
`getHetBySampleUrl()`
`String`
`getHomBySampleUrl()`
`String`
`getHomHetTable()`
`String`
`getMissingBySampleUrl()`
`boolean`
`hasData()`
Does this statistic have any data?
`void`
`sample(VcfEntry vcfEntry)`
Update counters
`String`
`toString()`
Show results to stdout

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GenotypeStats

public GenotypeStats()

## Method Details

### getAlleleCount

public IntStats getAlleleCount()

### getAlleleCountHistoUrl

public String getAlleleCountHistoUrl()

### getAlleleFrequency

public IntStats getAlleleFrequency()

### getAlleleFrequencyHistoUrl

public String getAlleleFrequencyHistoUrl()

### getHetBySampleUrl

public String getHetBySampleUrl()

### getHomBySampleUrl

public String getHomBySampleUrl()

### getHomHetTable

public String getHomHetTable()

### getMissingBySampleUrl

public String getMissingBySampleUrl()

### hasData

public boolean hasData()
Description copied from interface: `SamplingStats`
Does this statistic have any data?

Specified by:
  `hasData` in interface `SamplingStats<VcfEntry>`
Returns:

### sample

public void sample(VcfEntry vcfEntry)
Update counters

Specified by:
  `sample` in interface `SamplingStats<VcfEntry>`
Parameters:
  `vcfEntry` -

### toString

public String toString()
Show results to stdout

Overrides:
  `toString` in class `Object`